Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0051642
TypeCategorySeverityReproducibilityDate SubmittedLast Update
design defect[POS2] POSmajorhave not tried2023-02-17 13:102024-02-22 08:15
Reportermontse_cabanasView Statuspublic 
Assigned ToRetail 
PriorityhighResolutionopenFixed in Version
StatusacknowledgedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0051642: Error send email with variables

DescriptionWhen variables (@var@) are put in the subject or body of an email, the variable is not replaced by its data
Steps To ReproduceIf you define in the Email Configuration template replacements for subject, body or attachment they don’t apply

1-In Backoffice Document Types window > Template Definition and Email Configuraiton tabs put some @variables@ to apply for POS Order

2-Send email of a ticket from POS: the replacement won’t happen in the subject, body nor attachment file name
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0146698)
hgbot (developer)
2023-02-17 13:16

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2/-/merge_requests/1533 [^]
(0146709)
hgbot (developer)
2023-02-17 15:34

Directly closing issue as related merge request is already approved.

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2 [^]
Changeset: 1471133bac63678413cc96f9b0f8f6610e772e96
Author: Montserrat Cabañas <montserrat.cabanas@openbravo.com>
Date: 17-02-2023 14:34:15
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2/-/commit/1471133bac63678413cc96f9b0f8f6610e772e96 [^]

Fixes ISSUE-51642: Error sending email with variables

---
M src/org/openbravo/pos2/mailing/Mailer.java
---
(0146710)
hgbot (developer)
2023-02-17 15:34

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2/-/merge_requests/1533 [^]
(0147224)
hgbot (developer)
2023-03-02 11:13

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2/-/merge_requests/1567 [^]
(0147227)
hgbot (developer)
2023-03-02 11:34

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2/-/merge_requests/1567 [^]
(0147228)
aferraz (manager)
2023-03-02 11:35

Revert "[fr/51642-SendMailWithVariables] Fix send mail"

This reverts commit 94f9be406335ce7d34365e9e02e92d3917cdc228.

https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2/-/commit/0d0c3a21832c9ee3a2be361d6ec31c701783b8e0 [^]

- Issue History
Date Modified Username Field Change
2023-02-17 13:10 montse_cabanas New Issue
2023-02-17 13:10 montse_cabanas Assigned To => montse_cabanas
2023-02-17 13:10 montse_cabanas File Added: e575e658-bd7b-4b04-b834-582cbebae0c5.png
2023-02-17 13:10 montse_cabanas Triggers an Emergency Pack => No
2023-02-17 13:11 montse_cabanas File Added: ccaca7a7-de6d-404e-aba1-7e9a7c527a34.png
2023-02-17 13:16 hgbot Note Added: 0146698
2023-02-17 15:32 aferraz File Deleted: e575e658-bd7b-4b04-b834-582cbebae0c5.png
2023-02-17 15:32 aferraz File Deleted: ccaca7a7-de6d-404e-aba1-7e9a7c527a34.png
2023-02-17 15:34 hgbot Resolution open => fixed
2023-02-17 15:34 hgbot Status new => closed
2023-02-17 15:34 hgbot Fixed in Version => 23Q2
2023-02-17 15:34 hgbot Note Added: 0146709
2023-02-17 15:34 hgbot Note Added: 0146710
2023-03-02 11:13 hgbot Note Added: 0147224
2023-03-02 11:34 hgbot Note Added: 0147227
2023-03-02 11:35 aferraz Note Added: 0147228
2023-03-02 11:35 aferraz Status closed => new
2023-03-02 11:35 aferraz Resolution fixed => open
2023-03-02 11:35 aferraz Fixed in Version 23Q2 =>
2023-11-30 16:44 aferraz Assigned To montse_cabanas => Retail
2024-02-09 13:11 avicente Priority normal => high
2024-02-20 09:13 guillermogil Status new => acknowledged
2024-02-22 08:15 guillermogil Type defect => design defect


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker